OpenIdConnectConfiguration Class
Definition
Important
Some information relates to prerelease product that may be substantially modified before it’s released. Microsoft makes no warranties, express or implied, with respect to the information provided here.
Contains OpenIdConnect configuration that can be populated from a json string.
[Microsoft.IdentityModel.Json.JsonObject]
public class OpenIdConnectConfiguration : Microsoft.IdentityModel.Tokens.BaseConfiguration
[<Microsoft.IdentityModel.Json.JsonObject>]
type OpenIdConnectConfiguration = class
inherit BaseConfiguration
Public Class OpenIdConnectConfiguration
Inherits BaseConfiguration
- Inheritance
- Attributes
-
Microsoft.IdentityModel.Json.JsonObjectAttribute
Constructors
| OpenIdConnectConfiguration() |
Initializes an new instance of OpenIdConnectConfiguration. |
| OpenIdConnectConfiguration(String) |
Initializes an new instance of OpenIdConnectConfiguration from a json string. |
Properties
| AcrValuesSupported |
Gets the collection of 'acr_values_supported' |
| AdditionalData |
When deserializing from JSON any properties that are not defined will be placed here. |
| AuthorizationEndpoint |
Gets or sets the 'authorization_endpoint'. |
| CheckSessionIframe |
Gets or sets the 'check_session_iframe'. |
| ClaimsLocalesSupported |
Gets the collection of 'claims_locales_supported' |
| ClaimsParameterSupported |
Gets or sets the 'claims_parameter_supported' |
| ClaimsSupported |
Gets the collection of 'claims_supported' |
| ClaimTypesSupported |
Gets the collection of 'claim_types_supported' |
| DisplayValuesSupported |
Gets the collection of 'display_values_supported' |
| EndSessionEndpoint |
Gets or sets the 'end_session_endpoint'. |
| FrontchannelLogoutSessionSupported |
Gets or sets the 'frontchannel_logout_session_supported'. |
| FrontchannelLogoutSupported |
Gets or sets the 'frontchannel_logout_supported'. |
| GrantTypesSupported |
Gets the collection of 'grant_types_supported' |
| HttpLogoutSupported |
Boolean value specifying whether the OP supports HTTP-based logout. Default is false. |
| IdTokenEncryptionAlgValuesSupported |
Gets the collection of 'id_token_encryption_alg_values_supported'. |
| IdTokenEncryptionEncValuesSupported |
Gets the collection of 'id_token_encryption_enc_values_supported'. |
| IdTokenSigningAlgValuesSupported |
Gets the collection of 'id_token_signing_alg_values_supported'. |
| IntrospectionEndpoint |
Gets or sets the 'introspection_endpoint'. |
| IntrospectionEndpointAuthMethodsSupported |
Gets the collection of 'introspection_endpoint_auth_methods_supported'. |
| IntrospectionEndpointAuthSigningAlgValuesSupported |
Gets the collection of 'introspection_endpoint_auth_signing_alg_values_supported'. |
| Issuer |
Gets or sets the 'issuer'. |
| JsonWebKeySet |
Gets or sets the JsonWebKeySet |
| JwksUri |
Gets or sets the 'jwks_uri' |
| LogoutSessionSupported |
Boolean value specifying whether the OP can pass a sid (session ID) query parameter to identify the RP session at the OP when the logout_uri is used. Dafault Value is false. |
| OpPolicyUri |
Gets or sets the 'op_policy_uri' |
| OpTosUri |
Gets or sets the 'op_tos_uri' |
| RegistrationEndpoint |
Gets or sets the 'registration_endpoint' |
| RequestObjectEncryptionAlgValuesSupported |
Gets the collection of 'request_object_encryption_alg_values_supported'. |
| RequestObjectEncryptionEncValuesSupported |
Gets the collection of 'request_object_encryption_enc_values_supported'. |
| RequestObjectSigningAlgValuesSupported |
Gets the collection of 'request_object_signing_alg_values_supported'. |
| RequestParameterSupported |
Gets or sets the 'request_parameter_supported' |
| RequestUriParameterSupported |
Gets or sets the 'request_uri_parameter_supported' |
| RequireRequestUriRegistration |
Gets or sets the 'require_request_uri_registration' |
| ResponseModesSupported |
Gets the collection of 'response_modes_supported'. |
| ResponseTypesSupported |
Gets the collection of 'response_types_supported'. |
| ScopesSupported |
Gets the collection of 'scopes_supported' |
| ServiceDocumentation |
Gets or sets the 'service_documentation' |
| SigningKeys |
Gets the ICollection<T> that the IdentityProvider indicates are to be used signing tokens. |
| SubjectTypesSupported |
Gets the collection of 'subject_types_supported'. |
| TokenEndpoint |
Gets or sets the 'token_endpoint'. |
| TokenEndpointAuthMethodsSupported |
Gets the collection of 'token_endpoint_auth_methods_supported'. |
| TokenEndpointAuthSigningAlgValuesSupported |
Gets the collection of 'token_endpoint_auth_signing_alg_values_supported'. |
| UILocalesSupported |
Gets the collection of 'ui_locales_supported' |
| UserInfoEndpoint |
Gets or sets the 'user_info_endpoint'. |
| UserInfoEndpointEncryptionAlgValuesSupported |
Gets the collection of 'userinfo_encryption_alg_values_supported' |
| UserInfoEndpointEncryptionEncValuesSupported |
Gets the collection of 'userinfo_encryption_enc_values_supported' |
| UserInfoEndpointSigningAlgValuesSupported |
Gets the collection of 'userinfo_signing_alg_values_supported' |
Methods
| Create(String) |
Deserializes the json string into an OpenIdConnectConfiguration object. |
| Write(OpenIdConnectConfiguration) |
Serializes the OpenIdConnectConfiguration object to a json string. |
Applies to
Comentarios
Enviar y ver comentarios de